Delete a discount
curl --request DELETE \
--url https://sandboxapi.kelviq.com/api/v1/discount/{pk}/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://sandboxapi.kelviq.com/api/v1/discount/{pk}/"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://sandboxapi.kelviq.com/api/v1/discount/{pk}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Object deleted successfully."
}Discounts
Delete a discount
Soft-deletes (archives) the discount. Already-archived discounts return 400.
DELETE
/
discount
/
{pk}
/
Delete a discount
Click the base URL in the API playground and select the Sandbox host for test data or the Production host for live data. Use credentials from the same environment.
Authorizations
The Server API Key obtained from the kelviq application. Pass as a Bearer token in the Authorization header. Example: 'Authorization: Bearer YOUR_API_KEY'
Path Parameters
Discount UUID.
Response
Discount deleted.
Example:
"Object deleted successfully."